Skip to main content
Server path: /kibana-cases | Type: Application | PCID required: Yes

Tools


kibana_cases_add_case_comment_default_space

Add a case comment or alert Parameters:
ParameterTypeRequiredDefaultDescription
caseIdstringYesThe identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.
bodyobjectYesThe add comment to case API request body varies depending on whether you are adding an alert or a comment.

kibana_cases_add_case_file_default_space

Attach a file to a case Parameters:
ParameterTypeRequiredDefaultDescription
caseIdstringYesThe identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.
filestringYesThe file being attached to the case.
filenamestringNoThe desired name of the file being attached to the case, it can be different than the name of the file in the filesystem. This should not include the file extension.

kibana_cases_create_case_default_space

Create a case Parameters:
ParameterTypeRequiredDefaultDescription
assigneesobject[]NoAn array containing users that are assigned to the case.
categorystringNoA word or phrase that categorizes the case.
connectorobjectYesThe connector value
customFieldsobject[]NoCustom field values for a case. Any optional custom fields that are not specified in the request are set to null.
descriptionstringYesThe description for the case.
ownerstringYesThe application that owns the cases: Stack Management, Observability, or Elastic Security.
settingsobjectYesAn object that contains the case settings.
severitystringNoThe severity of the case.
tagsstring[]YesThe words and phrases that help categorize cases. It can be an empty array.
titlestringYesA title for the case.

kibana_cases_delete_case_comment_default_space

Delete a case comment or alert Parameters:
ParameterTypeRequiredDefaultDescription
caseIdstringYesThe identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.
commentIdstringYesThe identifier for the comment. To retrieve comment IDs, use the get case or search cases (_find) APIs.

kibana_cases_delete_case_comments_default_space

Delete all case comments and alerts Parameters:
ParameterTypeRequiredDefaultDescription
caseIdstringYesThe identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.

kibana_cases_delete_case_default_space

Delete cases Parameters:
ParameterTypeRequiredDefaultDescription
idsstring[]YesThe cases that you want to removed. To get the case identifiers, use the search cases (_find) API. In the Dev Console, you can specify the array of cases in the following format: ids=["e58e77e3-ef8e-4251-926f-efb115f3c4ec"]. In curl, all non-ASCII characters must be URL encoded. For example: ids=%5B%22e58e77e3-ef8e-4251-926f-efb115f3c4ec%22%5D

kibana_cases_find_case_activity_default_space

Find case activity Parameters:
ParameterTypeRequiredDefaultDescription
caseIdstringYesThe identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.
pageintegerNoThe page number to return.
perPageintegerNoThe number of items to return. Limited to 100 items.
sortOrderstringNoDetermines the sort order.
typesstring[]NoDetermines the types of user actions to return.

kibana_cases_find_case_comments_default_space

Find case comments Parameters:
ParameterTypeRequiredDefaultDescription
caseIdstringYesThe identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.
pageintegerNoThe page number to return.
perPageintegerNoThe number of items to return. Limited to 100 items.
sortOrderstringNoDetermines the sort order.

kibana_cases_find_case_connectors_default_space

Get case connectors

kibana_cases_find_cases_default_space

Search cases Parameters:
ParameterTypeRequiredDefaultDescription
assigneesstring[]NoFilters the returned cases by assignees. Valid values are none or unique identifiers for the user profiles. These identifiers can be found by using the suggest user profile API.
categorystring[]NoFilters the returned cases by category.
defaultSearchOperatorstringNohe default operator to use for the simple_query_string.
fromstringNoReturns only cases that were created after a specific date. The date must be specified as a KQL data range or date match expression.
ownerstring[]NoA filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.
pageintegerNoThe page number to return.
perPageintegerNoThe number of items to return. Limited to 100 items.
reportersstring[]NoFilters the returned cases by the user name of the reporter.
searchstringNoAn Elasticsearch simple_query_string query that filters the objects in the response.
searchFieldsstring[]NoThe fields to perform the simple_query_string parsed query against.
severitystringNoThe severity of the case.
sortFieldstringNoDetermines which field is used to sort the results.
sortOrderstringNoDetermines the sort order.
statusstringNoFilters the returned cases by state.
tagsstring[]NoFilters the returned cases by tags.
tostringNoReturns only cases that were created before a specific date. The date must be specified as a KQL data range or date match expression.

kibana_cases_get_by_alert_default_space

Get cases for an alert Parameters:
ParameterTypeRequiredDefaultDescription
alertIdstringYesAn identifier for the alert.
ownerstring[]NoA filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.

kibana_cases_get_case_alerts_default_space

Get all alerts for a case Parameters:
ParameterTypeRequiredDefaultDescription
caseIdstringYesThe identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.

kibana_cases_get_case_comment_default_space

Get a case comment or alert Parameters:
ParameterTypeRequiredDefaultDescription
caseIdstringYesThe identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.
commentIdstringYesThe identifier for the comment. To retrieve comment IDs, use the get case or search cases (_find) APIs.

kibana_cases_get_case_configuration_default_space

Get case settings Parameters:
ParameterTypeRequiredDefaultDescription
ownerstring[]NoA filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.

kibana_cases_get_case_default_space

Get case information Parameters:
ParameterTypeRequiredDefaultDescription
caseIdstringYesThe identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.

kibana_cases_get_case_reporters_default_space

Get case creators Parameters:
ParameterTypeRequiredDefaultDescription
ownerstring[]NoA filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.

kibana_cases_get_case_tags_default_space

Get case tags Parameters:
ParameterTypeRequiredDefaultDescription
ownerstring[]NoA filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.

kibana_cases_push_case_default_space

Push a case to an external service Parameters:
ParameterTypeRequiredDefaultDescription
caseIdstringYesThe identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.
connectorIdstringYesAn identifier for the connector. To retrieve connector IDs, use the find connectors API.
bodyobjectNoRequest body

kibana_cases_set_case_configuration_default_space

Add case settings Parameters:
ParameterTypeRequiredDefaultDescription
closure_typestringYesIndicates whether a case is automatically closed when it is pushed to external systems (close-by-pushing) or not automatically closed (close-by-user).
connectorobjectYesAn object that contains the connector configuration.
customFieldsobject[]NoCustom fields case configuration.
ownerstringYesThe application that owns the cases: Stack Management, Observability, or Elastic Security.
templatesobject[]NoThe templates value

kibana_cases_update_case_comment_default_space

Update a case comment or alert Parameters:
ParameterTypeRequiredDefaultDescription
caseIdstringYesThe identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.
bodyobjectYesThe update case comment API request body varies depending on whether you are updating an alert or a comment.

kibana_cases_update_case_configuration_default_space

Update case settings Parameters:
ParameterTypeRequiredDefaultDescription
configurationIdstringYesAn identifier for the configuration.
closure_typestringNoIndicates whether a case is automatically closed when it is pushed to external systems (close-by-pushing) or not automatically closed (close-by-user).
connectorobjectNoAn object that contains the connector configuration.
customFieldsobject[]NoCustom fields case configuration.
templatesobject[]NoThe templates value
versionstringYesThe version of the connector. To retrieve the version value, use the get configuration API.

kibana_cases_update_case_default_space

Update cases Parameters:
ParameterTypeRequiredDefaultDescription
casesobject[]YesAn array containing one or more case objects.